Не обновляется система

Serg_S

New member
Сообщения
28
#1
Здравствуйте, пытаюсь обновить систему, sudo apt-get dist-upgrade, выходит сообщение об ошибке, пытаюсь исправить sudo apt --fix-broken install, опять что-то не так
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров xserver-xorg-core:
xserver-xorg-core зависит от udev (>= 149), однако:
Пакет udev пока не настроен
может что не так с репозиториями?
/etc/apt/sources.list
deb http://dl.astralinux.ru/astra/stable/1.7_x86-64/repository-base/ 1.7_x86-64 main contrib non-free
OC Воронеж, 1.7
 

Shukl

New member
Сообщения
5

ALSE_User

New member
Сообщения
531
#4
Вот тут у составителей wiki от Астры косяк (на мой взгляд) - в одном месте они указывают stable, а в другом frozen. Истину установить можно только эмпирическим путем.

P.S. Мне проще - у нас только локальные репы в своей сети, а там мы знаем что и куда кладем ;)
 

Alex-der

New member
Сообщения
130
#5
Вот тут у составителей wiki от Астры косяк (на мой взгляд) - в одном месте они указывают stable, а в другом frozen. Истину установить можно только эмпирическим путем.
Я так думаю, что это зависит от степени аттетстации системы: некоторые аттестаты не предполагают активного обновления - только критические уязвимости. Вот для них - frozen, для остальных - stable. Но это уже данные (корни) из совсем других документов - нормативки и ОРД от органов.
 

koshak83

New member
Сообщения
29
#6
У меня выставлены репы по умолчанию и Астра рекомендует именно их. Стандартом является ветка репозиториев Stable. Всё остальное вы добавляете и меняете сами.

Напомню последняя версия sources.list для обновлений через интернет выглядит так (помните что у вас на работе или службе могут быть ограничения по использованию обновлений): https://wiki.astralinux.ru/pages/viewpage.action?pageId=158598882
 
Последнее редактирование:

Serg_S

New member
Сообщения
28
#7
sudo apt update говорит, что команда apt (apt-get) не найдена, как можно установить в астре этот пакет?
Восстановил пакет из кэша, криво без каких то зависимостей(gnpg*), начинаю делать apt --fixbroken install, пишет что будет удалён пакет apt, почему apt хочет удалить apt?, как можно исправить ошибки?
 
Последнее редактирование:

koshak83

New member
Сообщения
29
#8
sudo apt update говорит, что команда apt (apt-get) не найдена, как можно установить в астре этот пакет?
Восстановил пакет из кэша, криво без каких то зависимостей(gnpg*), начинаю делать apt --fixbroken install, пишет что будет удалён пакет apt, почему apt хочет удалить apt?, как можно исправить ошибки?
sudo apt update
sudo apt full-upgrade

Обновление системы Астра настоятельно рекомендует делать через штатную обновлялку.